/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for RelativeFrequencyOfEventValues
 */
public enum EnumCV_RelativeFrequencyOfEventValues 
{
	//CID 6091 Relative Frequency of Event Values
	CONTINUOUS_R_40377("R-40377"),
	FREQUENT_G_7154("G-7154"),
	MID_FREQUENCY_R_40365("R-40365"),
	INFREQUENT_G_7155("G-7155"),
	AS_REQUIRED_R_40B16("R-40B16"),
	SINGLE_EVENT_R_4112F("R-4112F");

	private String value;

	EnumCV_RelativeFrequencyOfEventValues(String strValue)
	{
		value = strValue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
